Forum Stats

  • 3,825,929 Users
  • 2,260,581 Discussions
  • 7,896,738 Comments

Discussions

Error while starting AdminServer after Upgrading SOA/BPM from 12.2.1.0 to 12.2.1.3

User_E1HCS
User_E1HCS Member Posts: 1 Red Ribbon

Hi

Recently we performed an upgrade of Oracle SOA/BPM servers from 12.2.1.0 to 12.2.1.3.While starting the AdminServer after the upgrade the server is throwing the below error.

Can anyone give some insights how this can be resolved?

<BEA-000386> <Server subsystem failed. Reason: A MultiException has 2 exceptions.  They are:

1. oracle.security.jps.service.policystore.PolicyStoreIncompatibleVersionException: JPS-06100: Policy Store version 12.2.1.3.0 and Oracle Platform Security Services Version 12.2.1.0.0 are not compatible.

2. java.lang.IllegalStateException: Unable to perform operation: post construct on oracle.security.jps.wls.JpsDefaultService

A MultiException has 2 exceptions.  They are:

1. oracle.security.jps.service.policystore.PolicyStoreIncompatibleVersionException: JPS-06100: Policy Store version 12.2.1.3.0 and Oracle Platform Security Services Version 12.2.1.0.0 are not compatible.

2. java.lang.IllegalStateException: Unable to perform operation: post construct on oracle.security.jps.wls.JpsDefaultService

        at org.jvnet.hk2.internal.ClazzCreator.create(ClazzCreator.java:391)

        at org.jvnet.hk2.internal.SystemDescriptor.create(SystemDescriptor.java:471)

        at org.glassfish.hk2.runlevel.internal.AsyncRunLevelContext.findOrCreate(AsyncRunLevelContext.java:228)

        at org.glassfish.hk2.runlevel.RunLevelContext.findOrCreate(RunLevelContext.java:85)

        at org.jvnet.hk2.internal.Utilities.createService(Utilities.java:2072)

        at org.jvnet.hk2.internal.ServiceHandleImpl.getService(ServiceHandleImpl.java:114)

        at org.jvnet.hk2.internal.ServiceHandleImpl.getService(ServiceHandleImpl.java:88)

        at org.glassfish.hk2.runlevel.internal.CurrentTaskFuture$QueueRunner.oneJob(CurrentTaskFuture.java:1213)

        at org.glassfish.hk2.runlevel.internal.CurrentTaskFuture$QueueRunner.run(CurrentTaskFuture.java:1144)

        at weblogic.work.SelfTuningWorkManagerImpl$WorkAdapterImpl.run(SelfTuningWorkManagerImpl.java:643)

        at weblogic.invocation.ComponentInvocationContextManager._runAs(ComponentInvocationContextManager.java:348)

        at weblogic.invocation.ComponentInvocationContextManager.runAs(ComponentInvocationContextManager.java:333)

        at weblogic.work.LivePartitionUtility.doRunWorkUnderContext(LivePartitionUtility.java:54)

        at weblogic.work.PartitionUtility.runWorkUnderContext(PartitionUtility.java:41)

        at weblogic.work.SelfTuningWorkManagerImpl.runWorkUnderContext(SelfTuningWorkManagerImpl.java:617)

        at weblogic.work.ExecuteThread.execute(ExecuteThread.java:397)

        at weblogic.work.ExecuteThread.run(ExecuteThread.java:346)

Caused By: oracle.security.jps.service.policystore.PolicyStoreIncompatibleVersionException: JPS-06100: Policy Store version 12.2.1.3.0 and Oracle Platform Security Services Version 12.2.1.0.0 are not compatible.

        at oracle.security.jps.internal.policystore.ldap.LdapPolicyStore.initial(LdapPolicyStore.java:622)

        at oracle.security.jps.internal.policystore.ldap.LdapPolicyStore.start(LdapPolicyStore.java:2278)

        at oracle.security.opss.internal.runtime.ServiceContextImpl.start(ServiceContextImpl.java:218)

        at oracle.security.opss.internal.runtime.ServiceContextManagerImpl.createDefaultContext(ServiceContextManagerImpl.java:322)

        at oracle.security.opss.internal.runtime.ServiceContextManagerImpl.initialize(ServiceContextManagerImpl.java:241)

        at oracle.security.jps.internal.config.OpssCommonStartup$1.run(OpssCommonStartup.java:150)

        at java.security.AccessController.doPrivileged(Native Method)

        at oracle.security.jps.internal.config.OpssCommonStartup.start(OpssCommonStartup.java:134)

        at oracle.security.jps.wls.JpsWlsStartup.start(JpsWlsStartup.java:96)

        at oracle.security.jps.JpsStartup.start(JpsStartup.java:215)

        at oracle.security.jps.wls.JpsDefaultService.start(JpsDefaultService.java:74)

        at weblogic.server.AbstractServerService.postConstruct(AbstractServerService.java:76)

        at sun.reflect.GeneratedMethodAcc

Regards

Sangeetha